#include<bits/stdc++.h>
using namespace std;
long long int v,v1,c;
int br=0;
int main(){
	cin>>v;
	v1=v;
	c=1;
	br=0;
	while(v1>0){
		v1/=10;
		c*=10;
	} 
	c/=10;
	while(v>0){
		if(v-5*c>=0){
			br++;
			v-=5*c;
		}
		else if(v-2*c>=0){
			br++;
			v-=2*c;
		}
		else if(v-c>=0){
			br++;
			v-=c;
		}
		else{
			c/=10;
		}
	}
	cout<<br<<endl;
}